// vim: set tw=80 ts=2 sw=2 sts=2 :

import { OperationListComponent } from './operationList.component';
import { OperationNewComponent } from './operationNew.component';
import { OperationEditComponent } from './operationEdit.component';

export const OperationListState = {
  path: 'account/:accountId/operations',
  component: OperationListComponent,
  onSameUrlNavigation: 'reload'
};

export const OperationNewState = {
  path: 'account/:accountId/operations/new',
  component: OperationNewComponent,
};

export const OperationEditState = {
  path: 'account/:accountId/operations/:operationId/edit',
  component: OperationEditComponent,
};
